{% extends "Docentes/Intranet/profile_docente.html" %}
{% load i18n admin_static admin_list tags_mensajes %}

{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/docente/profile/">Home</a> <span class="divider">/</span></li>
                    <li class="active">{% trans 'Mensajes recibidos' %}</li>
                </ul>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Mensajes recibidos' %}</h3>
        <form id='buscar_mensaje' action="" method="get" class="form-horizontal well">{% csrf_token %}
            <div class="control-group alert">
                <strong>Intrucciones:</strong><br/>
                Busque mensajes recibidos por <u><i class="icon-book"></i> Asunto</u> ó <u><i class="icon-book"></i> Contenido</u>.
            </div>
            <div class="control-group">
                <label class="control-label" for="id_Buscar"><i class="icon-search"></i> <strong>Buscar:</strong></label>
                <div class="controls">
                    <input type="text" maxlength="100" name="query" id="id_Buscar" value = "{% if query %}{{ query }}{% endif %}">
                    <button type="submit" class="btn btn-info">{% trans 'Buscar' %}</button>
                </div>
            </div>
        </form>
        
        
        {% if results %}
        <table class="table table-striped table-bordered table-condensed">
            <thead>
            <tr>
            <th class="reduce-col-number">#</th>
            <th>Emisor</th>
            <th>Asunto</th>
            <th>Contenido</th>
            <th>Fecha</th>
            </tr>
            </thead>
            <tbody>
            {% for env in results.object_list %}
            <tr>
                <TD>{{ forloop.counter|escape }}</TD>
                 <td>{{ env.Mensaje.Emisor.first_name }} {{ env.Mensaje.Emisor.last_name }}</td>
                 <td>{{ env.Mensaje.Asunto }}</td>
                 <td>{{ env.Mensaje.Contenido }}</td>
                 <td>{{ env.Mensaje.FechaCreacion }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
        {% endif %}
        {% render_paginator 2 3 %}
    </div>
</div>
{% endblock %}
